## binutils-h8300-hms 2.9.5.0.37.4

=== debian/changelog ===
binutils-h8300-hms (2.9.5.0.37.4) unstable; urgency=low

  * Add bison/flex to build depends (Closes: Bug#102282)

 -- Stephen M Moraco <stephen@debian.org>  Mon, 25 Jun 2001 21:02:30 -0600

binutils-h8300-hms (2.9.5.0.37.3) unstable; urgency=low

  * Fix build-depends (Closes: Bug#101423)
  * Fix lintian warn: removed use of dh_testversion

 -- Stephen M Moraco <stephen@debian.org>  Sat, 23 Jun 2001 16:36:07 -0600

binutils-h8300-hms (2.9.5.0.37.2) unstable; urgency=low

  * Repair package numbering, normal debian package
  * Move to extra from optional
  * Remove suggest of task (we are not doing task pkg)

 -- Stephen M Moraco <stephen@debian.org>  Sat, 27 Jan 2001 21:05:04 -0700

binutils-h8300-hms (2.9.5.0.37.1) unstable; urgency=low

  * Initial Release; feedback appreciated.

 -- Stephen M Moraco <stephen@debian.org>  Fri, 22 Dec 2000 21:04:31 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address "stephen@debian.org"
End:
