## binutils-h8300-hms 2.9.5.0.37.5.1

=== debian/changelog ===
binutils-h8300-hms (2.9.5.0.37.5.1) unstable; urgency=low

  * NMU (RC bug more than 6 months old).
  * debian/control:
    + Set policy to 3.5.10.
    + Changed flex build dependency to flex-old (Closes: #166897).
    + Short description is no longer a full sentence.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  5 Jun 2003 13:25:24 +0200

binutils-h8300-hms (2.9.5.0.37.5) unstable; urgency=low

  * Update to latest policy version

 -- Stephen M Moraco <stephen@debian.org>  Mon,  7 Oct 2002 20:55:44 -0600
