=== debian/control ===
Source: binutils-h8300-hms
Section: devel
Priority: extra
Maintainer: Stephen M Moraco <stephen@debian.org>
Build-Depends: debhelper (>= 2.2.7), bzip2, bison, flex-old
Standards-Version: 3.5.10

Package: binutils-h8300-hms
Architecture: any
Depends: ${shlibs:Depends}
Replaces: binutils-h8300 (>= 2.9.5.0.37)
Conflicts: binutils-h8300 (>= 2.9.5.0.37)
Description: GNU cross assembler for H8/300[HS], linker and binary utilities
 The programs in this package are used to assemble, link and 
 manipulate binary and object files.  They may be used in 
 conjunction with a cross-compiler and various libraries to 
 build programs for Hitachi H8/300 microprocessor-based 
 target systems.
