=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,10 @@
 $(configure_stamp): stamp-dir
 	dh_testdir
 	# Add here commands to configure the package.
-	src/configure --target=$(CROSS_TOOL) --host=$(CONFIGURE_HOST) --prefix=/usr --exec-prefix=/usr/$(CROSS_TOOL)
+	src/configure --target=$(CROSS_TOOL) \
+	              --host=$(CONFIGURE_HOST) \
+				  --prefix=/usr \
+				  --exec-prefix=/usr/$(CROSS_TOOL)
 	touch $@
 
 build: configure $(build_stamp)
@@ -83,7 +86,10 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp.
-	$(MAKE) prefix=$(BIN_ROOT)/usr mandir=$(BIN_ROOT)/usr/share/man infodir=$(BIN_ROOT)/usr/share/info exec_prefix=$(BIN_ROOT)/usr/$(CROSS_TOOL) install
+	$(MAKE) prefix=$(BIN_ROOT)/usr \
+	  mandir=$(BIN_ROOT)/usr/share/man \
+	  infodir=$(BIN_ROOT)/usr/share/info \
+	  exec_prefix=$(BIN_ROOT)/usr/$(CROSS_TOOL) install
 
 	#dh_movefiles --sourcedir=debian/$(BIN_PKGNM)
