## binutils-h8300-hms 2.9.5.0.37.5.2

=== debian/changelog ===
binutils-h8300-hms (2.9.5.0.37.5.2) unstable; urgency=low

  * NMU.
  * Update config.{sub,guess} from autotools-dev at build time (closes:
    bug#251648).
  * Fixed the host argument given to configure (closes: bug#324553).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 12 Sep 2005 21:34:05 +0200
