=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: extra
 Maintainer: Stephen M Moraco <stephen@debian.org>
-Build-Depends: debhelper (>= 2.2.7), bzip2, bison, flex-old
+Build-Depends: debhelper (>= 2.2.7), bzip2, bison, flex-old, autotools-dev
 Standards-Version: 3.5.10
 
 Package: binutils-h8300-hms
