=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 DPKGVER   := 1
 
 CROSS_TOOL := h8300-hitachi-hms
-CONFIGURE_HOST := ${DEB_BUILD_GNU_CPU}-pc-${DEB_BUILD_GNU_SYSTEM}-gnu
+CONFIGURE_HOST := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 srcdir		:= $(pwd)/src
 stampdir	:= stamps
@@ -53,6 +53,9 @@
 
 $(configure_stamp): stamp-dir
 	dh_testdir
+	[ -f src/config.sub.orig ] || mv src/config.sub src/config.sub.orig
+	[ -f src/config.guess.orig ] || mv src/config.guess src/config.guess.orig
+	cp /usr/share/misc/config.sub /usr/share/misc/config.guess src
 	# Add here commands to configure the package.
 	src/configure --target=$(CROSS_TOOL) \
 	              --host=$(CONFIGURE_HOST) \
@@ -76,6 +79,8 @@
 	-rm -rf Makefile bfd binutils binutils.spec config.cache \
 	        config.status etc gas h8300-hitachi-hms intl ld libiberty \
 		opcodes src stamps texinfo
+	if [ -f src/config.sub.orig ]; then mv src/config.sub.orig src/config.sub; fi
+	if [ -f src/config.guess.orig ]; then mv src/config.guess.orig src/config.guess; fi
 	dh_clean
 
 install: DH_OPTIONS=
