## binutils-h8300-hms 2.16.1

=== debian/changelog ===
binutils-h8300-hms (2.16.1-14) unstable; urgency=medium

  * Add 141-libiberty-getwd.patch, fixing FTBFS: conflicting type for getwd.
    Thanks to Matthew Sheets for pointing to a corresponding patch from 2005
    (Closes: #1114065)

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Sat, 06 Sep 2025 23:24:23 +0200

binutils-h8300-hms (2.16.1-13) unstable; urgency=medium

  * Add 140-deterministic-output.patch, to produce reproducible COFF objects
    and archives.
  * Add test for deterministic output.
  * Made some research to fill patches missing fields.
  * Mark remaining patches as Forwarded: not-needed. Removed or obsolete code.
  * Use https for Debian bugs in patches.
  * Enable Salsa CI using default template.
  * debian/copyright:
    - Update to use https URL.
    - Remove trailing white space.
    - Stop referring to the old postal address of the FSF.

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Wed, 02 Apr 2025 19:04:42 +0200

binutils-h8300-hms (2.16.1-12) unstable; urgency=medium

  * Team upload.

  [ Nicolas Schodet ]
  * Add README.Debian to explain why this package is still maintained.
  * Update autopkgtest to work on 32 bit hosts.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 24 Mar 2025 23:15:44 +0100

binutils-h8300-hms (2.16.1-11) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Maintain package in Debian LEGO Team.
  * d/rules: Rules file is no sample.

  [ Nicolas Schodet ]
  * Fix patches so that gbp-pq can understand it.
  * Add patch to update for autotools.
  * Add patch to install ld scripts in libdir.
  * Refresh patches using gbp-pq, fix headers to follow DEP-3.
  * Clean up patches file names.
  * Remove dh_autoreconf generated files.
  * Remove README.Debian, this package is not used to build kernels.
  * Update debian/rules, rebuild autotools generated files.
  * Move from /usr/h8300-hitachi-coff to /usr/lib/h8300-hitachi-coff, this
    breaks gcc-h8300-hms 1:3.4.6+dfsg2-4.2 and earlier.
    (Closes: #300357)
  * Mark binutils-h8300-hms Multi-Arch: foreign.
    Thanks to Helmut Grohne for the suggested change (Closes: #873510)
  * Set priority to optional instead of extra, fix source priority.
  * Use https URL for debian/watch.
  * Remove unrelated man pages.
  * Use versioned links to licenses files.
  * Add Homepage link.
  * Build do not require root.
  * Use compilation/linker flags from configure environment.
  * Enable bindnow hardening.
  * Ignore changes to info files rebuilt from sources.
  * Remove trailing white spaces in changelog.
  * Remove some outdated documentation files.
  * Add automatic package test.
  * Drop unrelated patches (gprof or i386/x86_64 targets).
  * Fix buffer overflow in archive writing.
  * Update 135-update-autotools.patch, lowering gettext version needed
    for build, 0.21 is sufficient.
  * Update 134-texinfo-fixes.patch, updating more notation to work
    with texinfo > 5.
  * Update standards version to 4.7.2.
  * Add myself as an uploader.

  [ Petter Reinholdtsen ]
  * Dropped autreconf generated files from patches.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 23 Mar 2025 07:37:42 +0100

binutils-h8300-hms (2.16.1-10.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Petter Reinholdtsen ]
  * Get code building in Debian Unstable. (Closes: #1066236)
  * Added 134-texinfo-fixes.patch updating notation to
    work with texinfo > 5.
  * Updated 132_texinfo_fixes to not include generated files.

  [ Andreas Tille ]
  * Fix watch file
  * Use latest debhelper compat level
  * pristine-tar = true

  [ Nicolas Schodet ]
  * Disable autoreconf to keep upstream one.
  * Make sure bison, flex and texinfo files are rebuilt.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 12 Mar 2025 07:21:43 +0100

binutils-h8300-hms (2.16.1-10) unstable; urgency=low

  * Updated standards version to 3.9.5 (no changes)
  * Merged remaining Ubuntu changes
  * Add a safety check to guard against invalid files (Closes: #729274)

 -- Michael Tautschnig <mt@debian.org>  Sat, 28 Jun 2014 20:48:21 +0100

binutils-h8300-hms (2.16.1-9) unstable; urgency=low

  * Updated standards version to 3.9.4 (no changes)
  * Use package source format v3 instead of dpatch
  * Use as-minimal-as-possible rules file using dh
  * debhelper compatibility level bumped to 9
  * Fixed errors in texinfo source (Closes: #712319)

 -- Michael Tautschnig <mt@debian.org>  Sun, 23 Jun 2013 13:23:00 +0100

binutils-h8300-hms (2.16.1-8) unstable; urgency=low

  * Fixed incompatible use of sprintf (thanks Kees Cook)
  * Updated standards version to 3.8.0 (no changes)
  * No need to depend on specific gcc version anymore
  * Dropped linda override

 -- Michael Tautschnig <mt@debian.org>  Tue, 06 Jan 2009 08:41:14 +0000

binutils-h8300-hms (2.16.1-7) unstable; urgency=low

  * Fixed bug in debian/rules to allow for parallel builds

 -- Michael Tautschnig <mt@debian.org>  Thu, 06 Dec 2007 21:31:33 +0100

binutils-h8300-hms (2.16.1-6) unstable; urgency=low

  * New maintainer address

 -- Michael Tautschnig <mt@debian.org>  Thu, 06 Dec 2007 17:15:03 +0100

binutils-h8300-hms (2.16.1-5) unstable; urgency=low

  * don't symlink config.{guess,sub} (closes: #424143)
  * fixed watch file

 -- Michael Tautschnig <tautschn@model.in.tum.de>  Wed, 16 May 2007 23:50:04 +0200

binutils-h8300-hms (2.16.1-4) unstable; urgency=medium

  * added 130_coff_arm.dpatch to fix alignment error, which caused FTBFS of
    gcc-h8300-hms on ARM (closes: #402821)

 -- Michael Tautschnig <tautschn@model.in.tum.de>  Tue, 12 Dec 2006 22:16:28 +0100

binutils-h8300-hms (2.16.1-3) unstable; urgency=low

  * Bumped standards version to 3.7.2.2 (no changes needed)
  * Suggests: binutils-doc is now unversioned as we do not provide
    binutils-doc
  * added 129_gas_h8300.dpatch to fix warnings on 64bit archs
  * re-added ldscripts, dropped 001_ld_makefile_patch

 -- Michael Tautschnig <tautschn@model.in.tum.de>  Thu, 23 Nov 2006 21:59:46 +0100


