=== debian/control ===
Source: binutils-h8300-hms
Section: devel
Priority: optional
Maintainer: Debian LEGO Team <debian-lego-team@lists.alioth.debian.org>
Uploaders:
 Michael Tautschnig <mt@debian.org>,
 Nicolas Schodet <nico@ni.fr.eu.org>,
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13),
               bison,
               flex,
               gettext (>= 0.21),
               texinfo,
               binutils,
               file
Homepage: https://www.gnu.org/software/binutils/
Vcs-Git: https://salsa.debian.org/debian-lego-team/binutils-h8300-hms.git
Vcs-Browser: https://salsa.debian.org/debian-lego-team/binutils-h8300-hms
Rules-Requires-Root: no

Package: binutils-h8300-hms
Architecture: any
Multi-Arch: foreign
Depends: binutils, ${shlibs:Depends}, ${misc:Depends}
Suggests: binutils-doc
Breaks: gcc-h8300-hms (<= 1:3.4.6+dfsg2-4.2)
Description: GNU binary utilities, for h8300-hitachi-coff target
 This package provides GNU assembler, linker and binary utilities
 for h8300-hitachi-coff target, for use in a cross-compilation environment.
 .
 You don't need this package unless you plan to cross-compile programs
 for h8300-hitachi-coff.
