=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -q DEB_HOST_GNU_TYPE)

package = binutils-h8300-hms
target = h8300-hitachi-coff
configure_flags = \
	--target=$(target) \
	--prefix=/usr/lib \
	--bindir=/usr/bin \
	--libdir=/usr/lib/$(target) \
	--infodir=/usr/share/info \
	--mandir=/usr/share/man \
	--disable-nls

build_dir=build

%:
	dh $@ -B$(build_dir)

override_dh_autoreconf:
	dh_autoreconf autoreconf -- -f -i -Wno-obsolete \
		. bfd binutils etc gas gprof ld libiberty opcodes

override_dh_auto_configure:
	dh_auto_configure -B$(build_dir) -- $(configure_flags)
	# Make sure they are rebuilt.
	touch */*.l */*.y */*.texinfo */*/*.texinfo gas/doc/all.texi

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install -B$(build_dir)
	# Remove windows related manpages.
	rm debian/$(package)/usr/share/man/man1/$(target)-dlltool.1
	rm debian/$(package)/usr/share/man/man1/$(target)-nlmconv.1
	rm debian/$(package)/usr/share/man/man1/$(target)-windres.1
	# Backward compatibility links.
	cd debian/$(package) && for i in usr/bin/$(target)-*; do \
		ln -s `basename $$i` usr/bin/h8300-hms-`echo $$i | sed 's/.*$(target)-//'`; \
		ln -s `basename $$i`.1 usr/share/man/man1/h8300-hms-`echo $$i | sed 's/.*$(target)-//'`.1; \
	done
	# Files also in main binutils pkg.
	rm debian/$(package)/usr/lib/$(target)/libiberty.a
	rm -r debian/$(package)/usr/lib/$(DEB_HOST_GNU_TYPE)
	rm -r debian/$(package)/usr/share/info
	# Install documentation.
	for pkg in bfd gas ld; do \
		for f in NEWS README; do \
			[ -f $$pkg/$$f ] || continue; \
			install -D -p -m 644 $$pkg/$$f \
				debian/$(package)/usr/share/doc/$(package)/$$pkg/$$f; \
		done; \
	done
