=== debian/watch ===
version=4

https://ftp.gnu.org/gnu/binutils/binutils-(2.16[\d\.]*).tar.bz2
